Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2015-0205

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2015-0205
Last Modified 16 Jul 2015 10:01:21
Published 08 Jan 2015 09:59:11
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2015-0205

Summary

The ssl3_get_cert_verify function in s3_srvr.c in OpenSSL 1.0.0 before 1.0.0p and 1.0.1 before 1.0.1k accepts client authentication with a Diffie-Hellman (DH) certificate without requiring a CertificateVerify message, which allows remote attackers to obtain access without knowledge of a private key via crafted TLS Handshake Protocol traffic to a server that recognizes a Certification Authority with DH support.

Vulnerable Systems

Application

  • Openssl 1.0.0a

  • Openssl 1.0.0b

  • Openssl 1.0.0c

  • Openssl 1.0.0d

  • Openssl 1.0.0e

  • Openssl 1.0.0f

  • Openssl 1.0.0g

  • Openssl 1.0.0h

  • Openssl 1.0.0i

  • Openssl 1.0.0j

  • Openssl 1.0.0k

  • Openssl 1.0.0l

  • Openssl 1.0.0m

  • Openssl 1.0.0n

  • Openssl 1.0.0o

  • Openssl 1.0.1a

  • Openssl 1.0.1b

  • Openssl 1.0.1c

  • Openssl 1.0.1d

  • Openssl 1.0.1e

  • Openssl 1.0.1f

  • Openssl 1.0.1g

  • Openssl 1.0.1h

  • Openssl 1.0.1i

  • Openssl 1.0.1j


References

CONFIRM - https://www.openssl.org/news/secadv_20150108.txt

CONFIRM - https://github.com/openssl/openssl/commit/1421e0c584ae9120ca1b88098f13d6d2e90b83a3

MANDRIVA - MDVSA-2015:019

FEDORA - FEDORA-2015-0601

FEDORA - FEDORA-2015-0512

DEBIAN - DSA-3125

SUSE - openSUSE-SU-2015:0130

CISCO - 20150310 Multiple Vulnerabilities in OpenSSL (January 2015) Affecting Cisco Products

REDHAT - RHSA-2015:0066

HP - HPSBHF03289

SUSE - SUSE-SU-2015:0578

MANDRIVA - MDVSA-2015:062

CONFIRM - http://www.oracle.com/technetwork/topics/security/cpuapr2015-2365600.html

SUSE - SUSE-SU-2015:0946

CONFIRM - http://www.oracle.com/technetwork/topics/security/cpujul2015-2367936.html

Related Patches

VMSA-2015-0004 VMware Fusion 6.0.6 for Mac OS X (See Notes) (Rev 3)

VMSA-2016-0001 VMware Fusion 7.1.2 for Mac OS X (See Notes)


Last Updated: 27 May 2016 11:08:13